{
  "name": "ecoomerce-api",
  "version": "0.1.0",
  "scripts": {
    "build": "node build.js",
    "lint": "tslint --project \"tsconfig.json\"",
    "start": "node -r module-alias/register ./dist --env=production",
    "start:dev": "nodemon",
    "test": "nodemon --config ./spec/nodemon.json",
    "tsoa": "tsoa routes -c tsoa-config.json"
  },
  "nodemonConfig": {
    "watch": [
      "src"
    ],
    "ext": "ts, html",
    "ignore": [
      "src/public",
      "src/routes.ts"
    ],
    "exec": "tsoa routes -c tsoa-config.json && ts-node -r tsconfig-paths/register ./src"
  },
  "_moduleAliases": {
    "@controllers": "dist/controllers",
    "@entities": "dist/entities",
    "@interfaces": "dist/interfaces",
    "@services": "dist/services",
    "@factories": "dist/factories",
    "@server": "dist/Server"
  },
  "dependencies": {
    "command-line-args": "5.1.1",
    "cookie-parser": "1.4.5",
    "cors": "2.8.5",
    "dotenv": "8.2.0",
    "env-decorator": "1.0.0",
    "express": "4.17.1",
    "express-async-errors": "3.1.1",
    "helmet": "3.22.0",
    "http-status-codes": "1.4.0",
    "module-alias": "2.2.2",
    "morgan": "1.10.0",
    "pg": "8.2.1",
    "reflect-metadata": "0.1.13",
    "tsoa": "3.1.1",
    "typeorm": "0.2.25",
    "typescript-ioc": "3.2.2",
    "winston": "3.2.1"
  },
  "devDependencies": {
    "@types/command-line-args": "5.0.0",
    "@types/cookie-parser": "1.4.2",
    "@types/cors": "2.8.6",
    "@types/express": "4.17.6",
    "@types/find": "0.2.1",
    "@types/helmet": "0.0.47",
    "@types/jasmine": "3.5.10",
    "@types/jsonfile": "6.0.0",
    "@types/morgan": "1.9.0",
    "@types/node": "14.0.8",
    "@types/supertest": "2.0.9",
    "find": "0.3.0",
    "fs-extra": "9.0.0",
    "jasmine": "3.5.0",
    "jsonfile": "6.0.1",
    "nodemon": "2.0.4",
    "supertest": "4.0.2",
    "ts-node": "8.10.2",
    "tsconfig-paths": "3.9.0",
    "tslint": "6.1.2",
    "typescript": "3.9.3"
  }
}
